package com.ningdatech.pmapi.user.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 
 * </p>
 *
 * @author Lierbao
 * @since 2023-02-01
 */
@TableName("nd_user_auth")
@ApiModel(value = "NdUserAuth对象", description = "")
public class NdUserAuth implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    private LocalDateTime createOn;

    private LocalDateTime updateOn;

    private Long userId;

    private String authType;

    private String identifier;

    private String credential;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public LocalDateTime getCreateOn() {
        return createOn;
    }

    public void setCreateOn(LocalDateTime createOn) {
        this.createOn = createOn;
    }
    public LocalDateTime getUpdateOn() {
        return updateOn;
    }

    public void setUpdateOn(LocalDateTime updateOn) {
        this.updateOn = updateOn;
    }
    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }
    public String getAuthType() {
        return authType;
    }

    public void setAuthType(String authType) {
        this.authType = authType;
    }
    public String getIdentifier() {
        return identifier;
    }

    public void setIdentifier(String identifier) {
        this.identifier = identifier;
    }
    public String getCredential() {
        return credential;
    }

    public void setCredential(String credential) {
        this.credential = credential;
    }

    @Override
    public String toString() {
        return "NdUserAuth{" +
            "id=" + id +
            ", createOn=" + createOn +
            ", updateOn=" + updateOn +
            ", userId=" + userId +
            ", authType=" + authType +
            ", identifier=" + identifier +
            ", credential=" + credential +
        "}";
    }
}
